/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2012 Unicode, Inc. All rights reserved. Distributed under
 * the Terms of Use in http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of the Unicode data files and any associated documentation (the "Data
 * Files") or Unicode software and any associated documentation (the
 * "Software") to deal in the Data Files or Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, and/or sell copies of the Data Files or Software, and
 * to permit persons to whom the Data Files or Software are furnished to do so,
 * provided that (a) the above copyright notice(s) and this permission notice
 * appear with all copies of the Data Files or Software, (b) both the above
 * copyright notice(s) and this permission notice appear in associated
 * documentation, and (c) there is clear notice in each modified Data File or
 * in the Software as well as in the documentation associated with the Data
 * File(s) or Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
 * KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
 * THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS
 * INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR
 * CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 * OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder shall not
 * be used in advertising or otherwise to promote the sale, use or other
 * dealings in these Data Files or Software without prior written authorization
 * of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.pt;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_pt extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "T1",
                    "T2",
                    "T3",
                    "T4",
                }
            },
            { "QuarterNames",
                new String[] {
                    "1\u00ba trimestre",
                    "2\u00ba trimestre",
                    "3\u00ba trimestre",
                    "4\u00ba trimestre",
                }
            },
            { "QuarterNarrows",
                new String[] {
                    "1",
                    "2",
                    "3",
                    "4",
                }
            },
            { "calendarname.buddhist",
                "Calend\u00e1rio Budista" },
            { "calendarname.gregorian",
                "Calend\u00e1rio Gregoriano" },
            { "calendarname.gregory",
                "Calend\u00e1rio Gregoriano" },
            { "calendarname.islamic",
                "Calend\u00e1rio Isl\u00e2mico" },
            { "calendarname.islamic-civil",
                "Calend\u00e1rio Civil Isl\u00e2mico" },
            { "calendarname.islamicc",
                "Calend\u00e1rio Civil Isl\u00e2mico" },
            { "calendarname.japanese",
                "Calend\u00e1rio Japon\u00eas" },
            { "calendarname.roc",
                "Calend\u00e1rio da Rep\u00fablica da China" },
            { "field.dayperiod",
                "Per\u00edodo do dia" },
            { "field.era",
                "Era" },
            { "field.hour",
                "Hora" },
            { "field.minute",
                "Minuto" },
            { "field.month",
                "M\u00eas" },
            { "field.second",
                "Segundo" },
            { "field.week",
                "Semana" },
            { "field.weekday",
                "Dia da semana" },
            { "field.year",
                "Ano" },
            { "field.zone",
                "Fuso" },
            { "islamic.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y GGGG",
                    "d 'de' MMMM 'de' y GGGG",
                    "dd/MM/yyyy GGGG",
                    "d/M/yyyy",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y G",
                    "d 'de' MMMM 'de' y G",
                    "dd/MM/yyyy G",
                    "d/M/yyyy",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y G",
                    "d 'de' MMMM 'de' y G",
                    "dd/MM/yyyy G",
                    "d/M/yyyy",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "EEEE, d MMMM y G",
                    "d 'de' MMMM 'de' y G",
                    "d MMM y G",
                    "d/M/yy",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "Antes de Cristo",
                    "Ano do Senhor",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y G",
                    "d 'de' MMMM 'de' y G",
                    "dd/MM/yyyy G",
                    "d/M/yyyy",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "a.C.",
                    "d.C.",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y GGGG",
                    "d 'de' MMMM 'de' y GGGG",
                    "dd/MM/yyyy GGGG",
                    "d/M/yyyy",
                }
            },
            { "roc.Eras",
                new String[] {
                    "Antes de R.O.C.",
                    "R.O.C.",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "Antes de R.O.C.",
                    "R.O.C.",
                }
            },
        };
    }
}
