/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2012 Unicode, Inc. All rights reserved. Distributed under
 * the Terms of Use in http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of the Unicode data files and any associated documentation (the "Data
 * Files") or Unicode software and any associated documentation (the
 * "Software") to deal in the Data Files or Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, and/or sell copies of the Data Files or Software, and
 * to permit persons to whom the Data Files or Software are furnished to do so,
 * provided that (a) the above copyright notice(s) and this permission notice
 * appear with all copies of the Data Files or Software, (b) both the above
 * copyright notice(s) and this permission notice appear in associated
 * documentation, and (c) there is clear notice in each modified Data File or
 * in the Software as well as in the documentation associated with the Data
 * File(s) or Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
 * KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
 * THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS
 * INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR
 * CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 * OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder shall not
 * be used in advertising or otherwise to promote the sale, use or other
 * dealings in these Data Files or Software without prior written authorization
 * of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.zh;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_zh extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "1\u5b63",
                    "2\u5b63",
                    "3\u5b63",
                    "4\u5b63",
                }
            },
            { "QuarterNames",
                new String[] {
                    "\u7b2c1\u5b63\u5ea6",
                    "\u7b2c2\u5b63\u5ea6",
                    "\u7b2c3\u5b63\u5ea6",
                    "\u7b2c4\u5b63\u5ea6",
                }
            },
            { "QuarterNarrows",
                new String[] {
                    "1",
                    "2",
                    "3",
                    "4",
                }
            },
            { "calendarname.buddhist",
                "\u4f5b\u6559\u65e5\u5386" },
            { "calendarname.gregorian",
                "\u516c\u5386" },
            { "calendarname.gregory",
                "\u516c\u5386" },
            { "calendarname.islamic",
                "\u4f0a\u65af\u5170\u65e5\u5386" },
            { "calendarname.islamic-civil",
                "\u4f0a\u65af\u5170\u5e0c\u5409\u6765\u5386" },
            { "calendarname.islamicc",
                "\u4f0a\u65af\u5170\u5e0c\u5409\u6765\u5386" },
            { "calendarname.japanese",
                "\u65e5\u672c\u65e5\u5386" },
            { "calendarname.roc",
                "\u6c11\u56fd\u65e5\u5386" },
            { "field.dayperiod",
                "\u4e0a\u5348/\u4e0b\u5348" },
            { "field.era",
                "\u65f6\u671f" },
            { "field.hour",
                "\u5c0f\u65f6" },
            { "field.minute",
                "\u5206\u949f" },
            { "field.month",
                "\u6708" },
            { "field.second",
                "\u79d2\u949f" },
            { "field.week",
                "\u5468" },
            { "field.weekday",
                "\u5468\u5929" },
            { "field.year",
                "\u5e74" },
            { "field.zone",
                "\u533a\u57df" },
            { "islamic.DatePatterns",
                new String[] {
                    "GGGGy\u5e74M\u6708d\u65e5EEEE",
                    "GGGGy\u5e74M\u6708d\u65e5",
                    "GGGGy\u5e74M\u6708d\u65e5",
                    "GGGGyy-MM-dd",
                }
            },
            { "islamic.Eras",
                new String[] {
                    "",
                    "\u56de\u5386",
                }
            },
            { "islamic.short.Eras",
                new String[] {
                    "",
                    "\u56de\u5386",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "Gy\u5e74M\u6708d\u65e5EEEE",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gyyyy-M-d",
                    "Gy-M-d",
                }
            },
            { "java.time.buddhist.short.Eras",
                new String[] {
                    "BC",
                    "\u4f5b\u5386",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "Gy\u5e74M\u6708d\u65e5EEEE",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gyy-MM-dd",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "Gy\u5e74M\u6708d\u65e5EEEE",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gyy-MM-dd",
                }
            },
            { "java.time.japanese.long.Eras",
                new String[] {
                    "\u516c\u5143",
                    "\u660e\u6cbb",
                    "\u5927\u6b63",
                    "\u662d\u548c",
                    "\u5e73\u6210",
                    "\u4ee4\u548c",
                }
            },
            { "java.time.japanese.short.Eras",
                new String[] {
                    "\u516c\u5143",
                    "\u660e\u6cbb",
                    "\u5927\u6b63",
                    "\u662d\u548c",
                    "\u5e73\u6210",
                    "\u4ee4\u548c",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "Gy\u5e74M\u6708d\u65e5EEEE",
                    "Gy\u5e74M\u6708d\u65e5",
                    "Gy-M-d",
                    "Gy-M-d",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "\u516c\u5143\u524d",
                    "\u516c\u5143",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "GGGGy\u5e74M\u6708d\u65e5EEEE",
                    "GGGGy\u5e74M\u6708d\u65e5",
                    "GGGGy-M-d",
                    "GGGGy-M-d",
                }
            },
            { "roc.Eras",
                new String[] {
                    "\u6c11\u56fd\u524d",
                    "\u6c11\u56fd",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "\u6c11\u56fd\u524d",
                    "\u6c11\u56fd",
                }
            },
        };
    }
}
