/*
 * Copyright (c) 2011, 2016, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

 /*
 * @test
 * @key headful
 * @bug 7036148
 * @summary NullPointerException with null JMenu name
 * @author Alexander Potochkin
 * @run main bug7036148
 */


import javax.swing.*;
import java.awt.event.ActionEvent;

public class bug7036148 extends JFrame {
    public bug7036148() {
        JMenuBar bar = new JMenuBar();
        Action menuAction = new AbstractAction(null, null){
            public void actionPerformed(ActionEvent e) {
            }
        };
        JMenu menu = new JMenu(menuAction);
        menu.add(new JMenuItem("test"));
        bar.add(menu);
        setJMenuBar(bar);
        pack();
    }

       public static void main(String[] args) {
            new bug7036148();
       }
}
