/*
 * Copyright (c) 2003, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * @test
 * @bug 4884387
 * @summary Use ldc instruction for class literals
 * @author gafter
 *
 * @compile -source 1.5 -target 1.5 ClassLit.java
 * @run main ClassLit
 */

public class ClassLit {
    public static void main(String[] args) {
        ClassLit t = new ClassLit();
        if (t.getClass() != ClassLit.class) throw new Error();
        int[] a = new int[2];
        if (a.getClass() != int[].class) throw new Error();
        if (int.class != Integer.TYPE) throw new Error();
    }
}
