/*
 * Copyright (c) 2004, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * @test
 * @bug 5009712
 * @summary 1.4 javac should not accept the Covariant Return Type
 * @author gafter
 *
 * @compile -source 1.4 ExtendCovariant1.java
 */

/**
 * java.io.PrintStream java.io.PrintStream.append(char)
 *
 * overrides
 *
 * java.lang.Appendable java.lang.Appendable.append(char)
 *
 * Yet javac should allow extending PrintStream, as long as the user
 * doesn't directly override a covariant method in -source 1.4.
 **/
public class ExtendCovariant1 extends java.io.PrintStream {
    ExtendCovariant1() throws java.io.IOException {
        super("");
    }
}
